resources/skills/methods/list/index.md +0 −108 deleted
File Deleted View Diff
1## List all skills for the current project.
2
3**get** `/skills`
4
5List all skills for the current project.
6
7### Query Parameters
8
9- `after: optional string`
10
11 Identifier for the last item from the previous pagination request
12
13- `limit: optional number`
14
15 Number of items to retrieve
16
17- `order: optional "asc" or "desc"`
18
19 Sort order of results by timestamp. Use `asc` for ascending order or `desc` for descending order.
20
21 - `"asc"`
22
23 - `"desc"`
24
25### Returns
26
27- `SkillList object { data, first_id, has_more, 2 more }`
28
29 - `data: array of Skill`
30
31 A list of items
32
33 - `id: string`
34
35 Unique identifier for the skill.
36
37 - `created_at: number`
38
39 Unix timestamp (seconds) for when the skill was created.
40
41 - `default_version: string`
42
43 Default version for the skill.
44
45 - `description: string`
46
47 Description of the skill.
48
49 - `latest_version: string`
50
51 Latest version for the skill.
52
53 - `name: string`
54
55 Name of the skill.
56
57 - `object: "skill"`
58
59 The object type, which is `skill`.
60
61 - `"skill"`
62
63 - `first_id: string`
64
65 The ID of the first item in the list.
66
67 - `has_more: boolean`
68
69 Whether there are more items available.
70
71 - `last_id: string`
72
73 The ID of the last item in the list.
74
75 - `object: "list"`
76
77 The type of object returned, must be `list`.
78
79 - `"list"`
80
81### Example
82
83```http
84curl https://api.openai.com/v1/skills \
85 -H "Authorization: Bearer $OPENAI_API_KEY"
86```
87
88#### Response
89
90```json
91{
92 "data": [
93 {
94 "id": "id",
95 "created_at": 0,
96 "default_version": "default_version",
97 "description": "description",
98 "latest_version": "latest_version",
99 "name": "name",
100 "object": "skill"
101 }
102 ],
103 "first_id": "first_id",
104 "has_more": true,
105 "last_id": "last_id",
106 "object": "list"
107}
108```